/*
 * #%L
 * GwtMaterial
 * %%
 * Copyright (C) 2015 - 2017 GwtMaterialDesign
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */
package gwt.material.design.client.constants;

/**
 * Predefined css style / class names
 *
 * @author kebzlou7979
 */
public interface CssName {

    String BADGE = "badge";
    String SIDEBAR_BADGE = "sideBarBadge";
    String BREADCRUMB = "breadcrumb";
    String CARD = "card";
    String CARD_ACTION = "card-action";
    String CARD_CONTENT = "card-content";
    String CARD_IMAGE = "card-image";
    String CARD_REVEAL = "card-reveal";
    String CARD_TITLE = "card-title";
    String OLD_CHECKBOX = "oldCheckBox";
    String GWT_CHECKBOX = "gwt-CheckBox";
    String FILLED_IN = "filled-in";
    String CHIP = "chip";
    String COLLAPSIBLE = "collapsible";
    String ACCORDION = "accordion";
    String EXPANDABLE = "expandable";
    String COLLAPSIBLE_BODY = "collapsible-body";
    String COLLAPSIBLE_HEADER = "collapsible-header";
    String COLLECTION = "collection";
    String WITH_HEADER = "with-header";
    String COLLECTION_HEADER = "collection-header";
    String COLLECTION_ITEM = "collection-item";
    String AVATAR = "avatar";
    String DISMISSABLE = "dismissable";
    String SECONDARY_CONTENT = "secondary-content";
    String COL = "col";
    String INPUT_FIELD = "input-field";
    String DIVIDER = "divider";
    String DROPDOWN_CONTENT = "dropdown-content";
    String DROPDOWN_BUTTON = "dropdown-button";
    String FIXED_ACTION_BTN = "fixed-action-btn";
    String PAGE_FOOTER = "page-footer";
    String CONTAINER = "container";
    String FOOTER_COPYRIGHT = "footer-copyright";
    String MATERIAL_ICONS = "material-icons";
    String RESPONSIVE_IMG = "responsive-img";
    String MATERIAL_INFO = "material-info";
    String MATERIAL_LABEL = "material-label";
    String VALIGN_WRAPPER = "valign-wrapper";
    String LOADER_WRAPPER = "loader-wrapper";
    String MODAL = "modal";
    String MODAL_HEADER = "modal-header";
    String MODAL_CONTENT = "modal-content";
    String MODAL_FOOTER = "modal-footer";
    String NAV_WRAPPER = "nav-wrapper";
    String NAV_CONTENT = "nav-content";
    String BUTTON_COLLAPSE = "button-collapse";
    String BRAND_LOGO = "brand-logo";
    String PAGINATION = "pagination";
    String WAVES_EFFECT = "waves-effect";
    String PARALLAX_CONTAINER = "parallax-container";
    String PARALLAX = "parallax";
    String PRELOADER_WRAPPER = "preloader-wrapper";
    String PROGRESS = "progress";
    String PROGRESS_WRAPPER = "progress-wrapper";
    String RANGE_FIELD = "range-field";
    String THUMB = "thumb";
    String VALUE = "value";
    String ROW = "row";
    String SECTION = "section";
    String TABLE_OF_CONTENTS = "table-of-contents";
    String SEARCH_RESULT = "search-result";
    String SIDE_NAV = "side-nav";
    String SIDE_NAV_CONTENT = "sidenav-content";
    String OPEN = "open";
    String SIDE_PROFILE = "side-profile";
    String NAVMENU_PERMANENT = "navmenu-permanent";
    String CAPTION = "caption";
    String SLIDER = "slider";
    String SLIDES = "slides";
    String SPINNER_LAYER = "spinner-layer";
    String CIRCLE_CLIPPER = "circle-clipper";
    String GAP_PATCH = "gap-patch";
    String SPLASH_SCREEN = "splash-screen";
    String SWITCH = "switch";
    String LEVER = "lever";
    String TABS = "tabs";
    String TAB = "tab";
    String MATERIALIZE_TEXTAREA = "materialize-textarea";
    String VIDEO_CONTAINER = "video-container";
    String LETTER = "letter";
    String SCROLLSPY = "scrollspy";
    String NO_PADDING = "no-padding";
    String ACTIVATOR = "activator";
    String ACTIVE = "active";
    String INACTIVE = "inactive";
    String VALID = "valid";
    String INVALID = "invalid";
    String VALIGN = "valign";
    String CENTER = "center";
    String DISABLED = "disabled";
    String HIGLIGHTED = "higlighted";
    String FIXED = "fixed";
    String FULLSCREEN = "fullscreen";
    String LEFT = "left";
    String RIGHT = "right";
    String CIRCLE = "circle";
    String CLEARFIX = "clearfix";
    String HOVERABLE = "hoverable";
    String TRUNCATE = "truncate";
    String TITLE = "title";
    String FIELD_ERROR_LABEL = "field-error-label";
    String FIELD_HELPER_LABEL = "field-helper-label";
    String FIELD_SUCCESS_LABEL = "field-success-label";
    String FIELD_ERROR = "field-error";
    String FIELD_SUCCESS = "field-success";
    String Z_DEPTH_0 = "z-depth-0";
    String Z_DEPTH_1 = "z-depth-1";
    String Z_DEPTH_2 = "z-depth-2";
    String Z_DEPTH_3 = "z-depth-3";
    String Z_DEPTH_4 = "z-depth-4";
    String Z_DEPTH_5 = "z-depth-5";
    String READ_ONLY = "read-only";
    String READ_ONLY_TOGGLE = "read-only-toggle";
    String INFINITE = "infinite";
    String DISPLAY_ANIMATION= "display-animation";
    String MATERIALIZE_CSS = "materialcss";
    String PREFIX = "prefix";
    String OFFLINE = "offline";
    String LISTBOX_WRAPPER = "listbox-wrapper";
}
